Problem download keras 2.4.0

Hello ,

I’ve been trying to install keras 2.4.0 for a while but I can’t, I tried to do “pip install keras 2.4.0” but it installs me keras 2.5.0 instead on colab like it can’t find the keras 2.4.0 version anymore.
Would you please have a solution to install the keras 2.4.0 version?
Thanks

Have you tried pip install keras==2.4.0?

yes, I did that with anaconda jupyter but I have some mistakes that you will find below:

Traceback (most recent call last):
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 438, in _error_catcher
yield
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py”, line 62, in read
data = self.__fp.read(amt)
File “C:\Users\kanem\anaconda3\lib\http\client.py”, line 463, in read
n = self.readinto(b)
File “C:\Users\kanem\anaconda3\lib\http\client.py”, line 507, in readinto
n = self.fp.readinto(b)
File “C:\Users\kanem\anaconda3\lib\socket.py”, line 704, in readinto
return self._sock.recv_into(b)
File “C:\Users\kanem\anaconda3\lib\ssl.py”, line 1241, in recv_into
return self.read(nbytes, buffer)
File “C:\Users\kanem\anaconda3\lib\ssl.py”, line 1099, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\cli\base_command.py”, line 173, in _main
status = self.run(options, args)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\cli\req_command.py”, line 203, in wrapper
return func(self, options, args)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\commands\install.py”, line 315, in run
requirement_set = resolver.resolve(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py”, line 94, in resolve
result = self._result = resolver.resolve(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 472, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 366, in resolve
failure_causes = self._attempt_to_pin_criterion(name)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 210, in _attempt_to_pin_criterion
for candidate in criterion.candidates:
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py”, line 128, in
return (c for c in iterator if id(c) not in self._incompatible_ids)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py”, line 32, in _iter_built
candidate = func()
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\factory.py”, line 204, in _make_candidate_from_link
self._link_candidate_cache[link] = LinkCandidate(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 295, in init
super().init(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 156, in init
self.dist = self._prepare()
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 227, in _prepare
dist = self._prepare_distribution()
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 305, in _prepare_distribution
return self._factory.preparer.prepare_linked_requirement(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\operations\prepare.py”, line 508, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\operations\prepare.py”, line 550, in _prepare_linked_requirement
local_file = unpack_url(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\operations\prepare.py”, line 239, in unpack_url
file = get_http_url(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\operations\prepare.py”, line 102, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\network\download.py”, line 145, in call
for chunk in chunks:
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\cli\progress_bars.py”, line 144, in iter
for x in it:
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_internal\network\utils.py”, line 63, in response_chunks
for chunk in response.raw.stream(
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 541, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File “C:\Users\kanem\anaconda3\lib\contextlib.py”, line 137, in exit
self.gen.throw(typ, value, traceback)
File “C:\Users\kanem\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, “Read timed out.”)
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘files.pythonhosted.org’, port=443): Read timed out.

Use the --default-timeout=100 parameter with the install. There are two ways to handle this issue

sudo pip install --default-timeout=100 future

or

pip install --default-timeout=100 future

Note: If you are not the superuser of your machine, the sudo pip command will not work.